# JACK plugin needs 1.9.7 or higher and we have only 1.9.6
%define build_jack	1

%define build_plf	0

%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

%define version	3.2.4
%define rel     1

#comment out when not prerelease
#define pre	beta2

Summary:	Audacious Media Player core plugins
Name:		audacious-plugins
Version:	%{version}
Release:	%mkrel %{?pre:0.%pre.}%{rel}
Epoch:		5
Url:            http://audacious-media-player.org/
Source0:	http://distfiles.audacious-media-player.org/%{name}-%{version}%{?pre:-%pre}.tar.gz
Patch1:		audacious-plugins-3.2.2-linking.patch
# Originally from Fedora
Patch2:		audacious-plugins-3.1-beta1-ladspa.patch
License:	GPLv2+
Group:		Sound
Requires:	audacious >= %{epoch}:%{version}
BuildRequires:	pkgconfig(audacious)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libbinio)
BuildRequires:	pkgconfig(flac) >= 1.2.1
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(neon)
BuildRequires:	pkgconfig(libmms)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libcue)
BuildRequires:	pkgconfig(libbs2b)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(gio-2.0) >= 2.0
#for moodbar plugin
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(dbus-glib-1)

# JACK plugin needs JACK version 1.9.7 or higher,
# other BRs pulls libjack-devel also, but
# there's no strict JACK version dep for other
# plugins
%if %{build_jack}
BuildRequires:	pkgconfig(jack) >= 1.9.7
%endif

%if %{build_plf}
BuildRequires:	liblame-devel
BuildRequires:	libfaad2-devel
%endif

#for ladspa plugin
Requires:	ladspa

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This contains the basic plugin distribution. Audacious is useless
without them.
%if %{build_plf}
This package is in "Tainted" as it violates some patents.
%endif

%package  -n audacious-wavpack
Group:		Sound
Summary: 	Wavpack input plugin for Audacious
Requires:	audacious >= %epoch:%{version}

%description  -n audacious-wavpack
This is a wavpack input plugin for Audacious based on libwavpack.

%if %{build_jack}
%package  -n audacious-jack
Group:		Sound
Summary:	Audacious output plugin for the jack sound server
Requires:	audacious >= %epoch:%{version}

%description  -n audacious-jack
Audacious audio output plugin for the jack audio server
(http://jackit.sourceforge.net).
%endif

%package  -n audacious-pulse
Group:		Sound
Summary:	Audacious output plugin for the Pulseaudio sound server
Requires:	audacious >= %{epoch}:%{version}
Provides:	audacious-esd
Obsoletes:	audacious-esd
BuildRequires:	pkgconfig(libpulse)

%description  -n audacious-pulse
Audacious audio output plugin for the pulseaudio server.

%package  -n audacious-adplug
Summary:	AdLib player plugin for audacious
Group:		Sound
Requires:	audacious >= %{epoch}:%{version}

%description  -n audacious-adplug
AdPlug is an Audacious input plugin It uses the AdPlug AdLib sound
player library to play back a wide range of AdLib (OPL2) music file
formats on top of an OPL2 emulator.  No OPL2 chip is required for
playback.

%package -n audacious-fluidsynth
Summary:	Fluidsynth MIDI plugin for audacious
Group:		Sound
Requires:	audacious >= %{epoch}:%{version}

%description -n audacious-fluidsynth
FluidSynth is a real-time software synthesizer based on the SoundFont 2
specifications. It is a "software synthesizer". FluidSynth can read MIDI
events from the MIDI input device and render them to the audio device.

This is a fluidsynth backend for the Audacious Media Player to support the
playback of MIDI files with the fluidsynth engine.

%package -n audacious-sid
Group:		Sound
Summary:	Audacious input plugin for C64 SID files
BuildRequires:	sidplay-devel
BuildRequires:	pkgconfig(libsidplay2)
Requires:	audacious >= %{epoch}:%{version}

%description -n audacious-sid
Audacious-SID is a plugin for the Audacious Media Player which provides
support for playing the so-called "SID tunes", which are music
from old Commodore computer programs like games, demos, etc.

For the actual playing, it uses the excellent libsidplay (1|2)
emulator engine that emulates 6510 CPU and 6581/8580 Sound Interface
Device (SID) chip.

%prep
%setup -q -n %{name}-%{version}%{?pre:-%pre}
%apply_patches

# with P2, fix hardcoded libdir
sed -i -e 's!__RPM_LIBDIR__!%{_libdir}!g' src/ladspa/plugin.c

%build
%configure2_5x \
        --enable-amidiplug \
	--enable-scrobbler \
	--enable-smb \
	--enable-gio \
	--disable-rpath \
	--enable-gtk3

%make

%install
%makeinstall_std

%if !%{build_plf}
rm -fv %buildroot%_libdir/audacious/Input/aac.so
%endif

%find_lang %{name}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS
%dir %{_libdir}/audacious/Input/amidi-plug/
%{_libdir}/audacious/Input/amidi-plug/ap-alsa.so
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Container
%{_libdir}/audacious/Container/asx.so
%{_libdir}/audacious/Container/audpl.so
%{_libdir}/audacious/Container/cue.so
%{_libdir}/audacious/Container/m3u.so
%{_libdir}/audacious/Container/pls.so
%{_libdir}/audacious/Container/xspf.so
%dir %{_libdir}/audacious/General
%{_libdir}/audacious/General/alarm.so
%{_libdir}/audacious/General/albumart.so
%{_libdir}/audacious/General/aosd.so
%{_libdir}/audacious/General/cd-menu-items.so
%{_libdir}/audacious/General/gnomeshortcuts.so
%{_libdir}/audacious/General/gtkui.so
%{_libdir}/audacious/General/hotkey.so
%{_libdir}/audacious/General/lyricwiki.so
%{_libdir}/audacious/General/mpris2.so
%{_libdir}/audacious/General/mtp_up.so
%{_libdir}/audacious/General/notify.so
%{_libdir}/audacious/General/scrobbler.so
%{_libdir}/audacious/General/search-tool.so
%{_libdir}/audacious/General/skins.so
%{_libdir}/audacious/General/statusicon.so
%{_libdir}/audacious/General/song_change.so
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/ffaudio.so
%{_libdir}/audacious/Input/amidi-plug.so
%{_libdir}/audacious/Input/cdaudio-ng.so
%{_libdir}/audacious/Input/console.so
%{_libdir}/audacious/Input/flacng.so
%{_libdir}/audacious/Input/madplug.so
%{_libdir}/audacious/Input/metronom.so
%{_libdir}/audacious/Input/modplug.so
%{_libdir}/audacious/Input/psf2.so
%{_libdir}/audacious/Input/sndfile.so
%{_libdir}/audacious/Input/tonegen.so
%{_libdir}/audacious/Input/vorbis.so
%{_libdir}/audacious/Input/vtx.so
%{_libdir}/audacious/Input/xsf.so

%if %{build_plf}
%{_libdir}/audacious/Input/aac.so
%endif

%dir %{_libdir}/audacious/Effect/
%{_libdir}/audacious/Effect/bs2b.so
%{_libdir}/audacious/Effect/compressor.so
%{_libdir}/audacious/Effect/crossfade.so
%{_libdir}/audacious/Effect/crystalizer.so
%{_libdir}/audacious/Effect/echo.so
%{_libdir}/audacious/Effect/ladspa.so
#%{_libdir}/audacious/Effect/mixdown.so
%{_libdir}/audacious/Effect/mixer.so
%{_libdir}/audacious/Effect/resample.so
%{_libdir}/audacious/Effect/sndstretch.so
%{_libdir}/audacious/Effect/stereo.so
%{_libdir}/audacious/Effect/voice_removal.so
%dir %{_libdir}/audacious/Output
#%{_libdir}/audacious/Output/OSS.so
%{_libdir}/audacious/Output/alsa.so
%{_libdir}/audacious/Output/filewriter.so
%{_libdir}/audacious/Output/null.so
%{_libdir}/audacious/Output/sdlout.so
%dir %{_libdir}/audacious/Transport/
%{_libdir}/audacious/Transport/gio.so
%{_libdir}/audacious/Transport/mms.so
%{_libdir}/audacious/Transport/neon.so
%{_libdir}/audacious/Transport/smb.so
%{_libdir}/audacious/Transport/unix-io.so
%dir %{_libdir}/audacious/Visualization
%{_libdir}/audacious/Visualization/blur_scope.so
%{_libdir}/audacious/Visualization/cairo-spectrum.so
#%{_libdir}/audacious/Visualization/moodbar.so
#%{_libdir}/audacious/Visualization/rocklight.so
%{_datadir}/audacious

%files -n audacious-wavpack
%defattr(-,root,root)
%{_libdir}/audacious/Input/wavpack.so

%if %{build_jack}
%files -n audacious-jack
%defattr(-,root,root)
%{_libdir}/audacious/Output/jackout.so
%endif

%files -n audacious-pulse
%defattr(-,root,root)
%{_libdir}/audacious/Output/pulse_audio.so

%files -n audacious-sid
%defattr(-,root,root)
%{_libdir}/audacious/Input/sid.so

%files -n audacious-adplug
%defattr(-,root,root)
%{_libdir}/audacious/Input/adplug.so

%files -n audacious-fluidsynth
%defattr(-,root,root)
%{_libdir}/audacious/Input/amidi-plug/ap-fluidsynth.so


%changelog

* Wed Jul 04 2012 wally <wally> 5:3.2.4-1.mga2
+ Revision: 267674
- new bugfix release 3.2.4

* Tue Jun 26 2012 wally <wally> 5:3.2.3-1.mga2.tainted
+ Revision: 264033
- bump rel to fit to our updates policy

* Sat Jun 02 2012 wally <wally> 5:3.2.3-0.1.mga2.tainted
+ Revision: 253340
- sync with Cauldron to fix several bugs reported upstream

* Thu May 31 2012 wally <wally> 5:3.2.3-1.mga3.tainted
+ Revision: 252527
- new version 3.2.3

* Tue May 29 2012 fwang <fwang> 5:3.2.2-2.mga3.tainted
+ Revision: 249060
- rebuild for new ffmpeg

* Sun Apr 15 2012 luigiwalser <luigiwalser> 5:3.2.2-1.mga2
+ Revision: 230830
- 3.2.2

* Sat Feb 18 2012 wally <wally> 5:3.2.1-1.mga2.tainted
+ Revision: 210325
- new version 3.2.1
- rediff P1

* Mon Jan 23 2012 wally <wally> 5:3.2-1.mga2.tainted
+ Revision: 200279
- new version 3.2

* Tue Jan 10 2012 wally <wally> 5:3.2-0.beta2.1.mga2.tainted
+ Revision: 194683
- new version 3.2 beta2
- enable experimental GIO transport plugin

* Fri Dec 30 2011 wally <wally> 5:3.2-0.beta1.1.mga2.tainted
+ Revision: 189066
- new version 3.2 beta 1
- drop P0, P3 and P4
- rediff P1

* Mon Dec 26 2011 wally <wally> 5:3.2-0.alpha1.2.mga2.tainted
+ Revision: 187779
- require ladspa (for ladspa plugin)

* Mon Dec 26 2011 wally <wally> 5:3.2-0.alpha1.1.mga2.tainted
+ Revision: 187770
- new version 3.2alpha1
- rediff P1
- add gmodule-2.0 patch from Fedora (P3)
- add VFSFile patch from upstream (P4)

* Tue Dec 06 2011 wally <wally> 5:3.1.1-1.mga2.tainted
+ Revision: 177366
- new version 3.1.1

* Fri Nov 11 2011 wally <wally> 5:3.1-2.mga2.tainted
+ Revision: 166673
- drop patch from upstream
- new version 3.1 final

* Thu Nov 03 2011 wally <wally> 5:3.1-0.beta3.2.mga2.tainted
+ Revision: 162473
- add patch from upstream GIT to possibly fix crash with pulseaudio (mga#3249)

* Sun Oct 30 2011 wally <wally> 5:3.1-0.beta3.1.mga2.tainted
+ Revision: 159961
- new version 3.1 beta3
- drop old configure option

* Fri Oct 28 2011 fwang <fwang> 5:3.1-0.beta2.3.mga2.tainted
+ Revision: 159118
- bump rel

* Fri Oct 28 2011 fwang <fwang> 5:3.1-0.beta2.2.mga2
+ Revision: 159090
- rebuild for new libcdio

* Mon Oct 17 2011 wally <wally> 5:3.1-0.beta2.1.mga2.tainted
+ Revision: 155902
- new version 3.1 beta2
- rediff patches 0 and 1
- drop oss and moodbar plugins

* Wed Oct 12 2011 wally <wally> 5:3.1-0.beta1.1.mga2.tainted
+ Revision: 154156
- replace P2 with another ladspa patch from Fedora
- new version 3.1 beta1

* Fri Sep 23 2011 wally <wally> 5:3.1-0.alpha1.1.mga2
+ Revision: 147096
- add P2 from Fedora to fix hardcoded libdir
- new version 3.1 alpha1

* Tue Sep 20 2011 wally <wally> 5:3.0.3-1.mga2.tainted
+ Revision: 146058
- rediff P1 (from Mdv)
- new version 3.0.3
- new version 3.0.2
- cleaned BRs, i.a. removed libmesaglut-devel ("fix" for mga#2412)
- drop some old and unneeded obsoletes/provides
- new version 3.0.1

* Tue Jul 19 2011 fwang <fwang> 5:3.0-1.mga2.tainted
+ Revision: 126180
- clean up version usage

  + wally <wally>
    - final version 3.0

* Sun Jul 17 2011 fwang <fwang> 5:3.0-0.beta1.2.mga2.tainted
+ Revision: 125204
- rebuild for new libmtp

* Wed Jul 13 2011 wally <wally> 5:3.0-0.beta1.1.mga2.tainted
+ Revision: 123854
- disable JACK plugin for now as we don't have JACK >= 1.9.7
- add support for tainted build (aac playback plugin)
- add madplug input plugin and smb transport plugin
- new version 3.0 beta1
- drop P2, fixed upstream

* Sun Jun 26 2011 wally <wally> 5:3.0-0.alpha1.2.mga2
+ Revision: 114105
-fix typo in requires

* Sun Jun 26 2011 wally <wally> 5:3.0-0.alpha1.1.mga2
+ Revision: 114095
- new version 3.0 alpha1
- drop some old and unmaintained plugins
- clean .spec

* Fri Jun 24 2011 fwang <fwang> 5:2.5.1-3.mga2
+ Revision: 112969
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Sun Jun 19 2011 ahmad <ahmad> 5:2.5.1-2.mga2
+ Revision: 109613
- Rebuild against libnotify-0.7

* Tue Jun 07 2011 dmorgan <dmorgan> 5:2.5.1-1.mga2
+ Revision: 101596
- Fix typo in file list
- New version 2.5.1

* Fri Mar 04 2011 ennael <ennael> 5:2.4.4-1.mga1
+ Revision: 64087
- more cleaning
- clean spec file
- imported package audacious-plugins


* Fri Feb 25 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.4-1mdv2011.0
+ Revision: 639783
- new version
- drop patch 2

* Mon Feb 21 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.3-3
+ Revision: 639100
- remove redundant extra release

* Mon Feb 21 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.3-2
+ Revision: 639084
- rebuild

  + Anssi Hannula <anssi@mandriva.org>
    - plf: append "plf" to Release on cooker to make plf build have higher EVR
      again with the rpm5-style mkrel now in use

* Thu Jan 13 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.3-1
+ Revision: 631020
- new version
- bump audacious dep

* Wed Dec 08 2010 Götz Waschk <waschk@mandriva.org> 5:2.4.2-1mdv2011.0
+ Revision: 616045
- new version
- fix source URL
- bump audacious dep
- update subpackage deps

* Thu Aug 26 2010 Götz Waschk <waschk@mandriva.org> 5:2.4.0-1mdv2011.0
+ Revision: 573426
- new version
- update patch 2
- bump audacious dep

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.rc2.1mdv2011.0
+ Revision: 570285
- new release candidate

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.rc1.1mdv2011.0
+ Revision: 569004
- new release candidate
- update patch 1
- drop patch 3

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.beta2.1mdv2011.0
+ Revision: 566307
- new beta version
- fix makefile

* Sat Jul 24 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.beta1.1mdv2011.0
+ Revision: 558229
- new beta version
- update patch 1
- bump audacious dep
- remove esd plugin
- readd scrobbler plugin
- add lyricwiki, notify
- remove vfstrace, usf, icecast plugins

* Thu Apr 08 2010 Götz Waschk <waschk@mandriva.org> 5:2.3-1mdv2010.1
+ Revision: 532885
- new version
- bump build deps
- rediff patches 0,2
- drop patch 1
- add patch to fix usf plugin build
- remove bluetooth, scrobbler, lastfm plugins
- add usf, cd-menu-items, resample plugins

* Thu Feb 18 2010 Götz Waschk <waschk@mandriva.org> 5:2.2-2mdv2010.1
+ Revision: 507447
- fix build of the jack plugin

* Wed Nov 25 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-1mdv2010.1
+ Revision: 469946
- new version
- obsolete musepack plugin

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-0.beta2.2mdv2010.1
+ Revision: 464028
- remove wma and readd aac plugin

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-0.beta2.1mdv2010.1
+ Revision: 464025
- new prerelease
- rediff patches
- readd pulseaudio plugin
- add cue plugin
- update build deps
- disable no-undefined
- remove aac and tta plugins

* Mon Nov 09 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-0.beta1.1mdv2010.1
+ Revision: 463438
- new version
- rediff patches 0,2
- drop patch 1
- update build deps
- drop musepack and pulseaudio support
- update file list

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 5:2.1-3mdv2010.0
+ Revision: 455768
- rebuild for new curl SSL backend

* Tue Jul 21 2009 Götz Waschk <waschk@mandriva.org> 5:2.1-2mdv2010.0
+ Revision: 398350
- add bs2b plugin

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 5:2.1-1mdv2010.0
+ Revision: 395626
- new version
- bump deps
- update patches 0,2
- fix build
- update file list

* Thu May 14 2009 Götz Waschk <waschk@mandriva.org> 5:2.0.1-1mdv2010.0
+ Revision: 375639
- new version
- obsolete audacious-crossfade

* Wed May 13 2009 Götz Waschk <waschk@mandriva.org> 5:2.0.0-1mdv2010.0
+ Revision: 375248
- new version
- update deps
- rediff patch 0
- drop patch 1
- fix format strings
- update file list

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-5mdv2009.1
+ Revision: 297788
- rebuild

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-4mdv2009.0
+ Revision: 239391
- rebuild

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 5:1.5.1-3mdv2009.0
+ Revision: 238281
- add patch to build against libmtp 0.3.0

  + Götz Waschk <waschk@mandriva.org>
    - update the patch

* Thu May 29 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-2mdv2009.0
+ Revision: 212906
- patch to fix linking of some plugins
- reenable --no-undefined

* Sun May 25 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-1mdv2009.0
+ Revision: 211199
- fix buildrequires for d**n KDE
- new version
- bump deps
- disable --no-undefined
- update file list

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.0-1mdv2009.0
+ Revision: 193656
- fix doc file list
- new version
- drop patch
- update build deps
- update file list

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.5-2mdv2008.1
+ Revision: 166263
- support new gnome multimedia keys api

* Fri Feb 01 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.5-1mdv2008.1
+ Revision: 161114
- new version
- obsolete timidity plugin
- disable broken timidity plugin

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.4-2mdv2008.1
+ Revision: 140181
- rebuild for new libmowgli

* Tue Jan 01 2008 Funda Wang <fwang@mandriva.org> 5:1.4.4-1mdv2008.1
+ Revision: 139981
- New version 1.4.4

* Mon Dec 31 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.3.2-1mdv2008.1
+ Revision: 139793
- new version

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.3-1mdv2008.1
+ Revision: 139622
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.2-1mdv2008.1
+ Revision: 115820
- new version

* Mon Nov 19 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.1-1mdv2008.1
+ Revision: 110219
- new version
- bump deps

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.rc1.1mdv2008.1
+ Revision: 105176
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta4.1mdv2008.1
+ Revision: 102941
- new version

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 5:1.4.0-0.beta3.2mdv2008.1
+ Revision: 102624
- Rebuild for new libmtp

* Sat Oct 20 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta3.1mdv2008.1
+ Revision: 100639
- new libprojectM
- new version

* Wed Oct 17 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta1.2mdv2008.1
+ Revision: 99548
- reenable arts plugin

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta1.1mdv2008.1
+ Revision: 98536
- new version
- update deps
- update file list
- drop patch

* Wed Oct 10 2007 Götz Waschk <waschk@mandriva.org> 4:1.4.0-0.dr4.1mdv2008.1
+ Revision: 96681
- disable arts, it fails on x86_64
- new version
- update buildrequires
- update file list

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.5-2mdv2008.0
+ Revision: 40836
- disable SSE2

* Fri Jun 08 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.5-1mdv2008.0
+ Revision: 37290
- new version

* Mon May 14 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.4-2mdv2008.0
+ Revision: 26702
- fix buildrequires

* Sun May 06 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.4-1mdv2008.0
+ Revision: 23735
- new version
- update file list

* Fri Apr 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4:1.3.3-2mdv2008.0
+ Revision: 15605
- rebuild to fix issue with missing aosd symbol

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.3-1mdv2008.0
+ Revision: 13643
- new version
- add sndstretch plugin


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdv2007.1
+ Revision: 141624
- new version

* Sat Mar 03 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-2mdv2007.1
+ Revision: 131806
- support building with mp3 encoding plugin (disabled by default)

* Sat Mar 03 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-1mdv2007.1
+ Revision: 131804
- new version
- add vtx plugin
- drop merged patches

* Fri Mar 02 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.3mdv2007.1
+ Revision: 130939
- fix crash with invalid Ogg tags
- really revert all changes from r126744
- fix bad checkin
- svn snapshot 1587
- drop merged patch 0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.2mdv2007.1
+ Revision: 126716
- fix crash in scrobbler plugin wih an empty playlist
- fix buildrequires, flac is now bundled
- fix deps

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.1mdv2007.1
+ Revision: 125918
- new version

* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 4:1.2.5-4mdv2007.1
+ Revision: 124948
- rebuild for new libmpcdec

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 4:1.2.5-3mdv2007.1
+ Revision: 121606
- back to stable
- build with flac 1.1.4

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.3mdv2007.1
+ Revision: 119898
- fix crash on exit in aosd

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.2mdv2007.1
+ Revision: 117281
- fix crash in vorbis plugin (bug #28603)

* Tue Feb 06 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.1mdv2007.1
+ Revision: 116646
- new version
- bump deps
- add aosd plugin

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha3.2mdv2007.1
+ Revision: 114045
- add a projectM plugin

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha3.1mdv2007.1
+ Revision: 113716
- new version
- bump deps
- update build requires
- add new plugins

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha2.1mdv2007.1
+ Revision: 105463
- new version
- update file list
- bump deps

* Sat Dec 30 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.5-3mdv2007.1
+ Revision: 102774
- rebuild for new wavpack
- rebuild

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.5-2mdv2007.1
+ Revision: 95047
- rebuild
- merge extra-plugins package in main one

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.5-1mdv2007.1
+ Revision: 86929
- new version
- add wavpack and other new plugins
- remove notify
- rebuild for new libaudacious

* Fri Oct 27 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.2-1mdv2007.1
+ Revision: 73016
- new version
- fix file list
- fix description

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.1-1mdv2007.1
+ Revision: 64487
- new version
- add new files
- unpack patch
- fix buildrequires
- Import audacious-plugins

* Mon Oct 09 2006 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2007.1
- initial package

* Sat Aug 26 2006 GÃ¶tz Waschk <waschk@mandriva.org> 3:1.1.2-1mdv2007.0
- New release 1.1.2

* Mon Jul 24 2006 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdv2007.0
- drop rpaths
- drop patch 4
- fix source URL
- New release 1.1.1

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-3mdv2007.0
- move fluidsynth backend to subpackage

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-2mdv2007.0
- move amidi to the right directory

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-1mdv2007.0
- add new files
- drop old provides
- new major
- new version

* Mon Jul 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-0.dr2.4mdv2007.0
- fix menu entry

* Tue Jul 04 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.3mdv2007.0
- xdg menu

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.2mdv2007.0
- fix patch 2

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.1mdv2007.0
- update patch 2
- new version

* Wed May 24 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.2mdk
- fix buildrequires

* Tue May 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.1mdk
- fix buildrequires
- new version

* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdk
- update file list
- drop patch 0
- New release 1.0.0

* Mon Apr 17 2006 Götz Waschk <waschk@mandriva.org> 0.2.4-1mdk
- patch to fix build
- New release 0.2.4

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 0.2.3-1mdk
- add arts and voice removal plugins
- rediff patches 2,3
- readd disk writer
- New release 0.2.3

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- don't obsolete the crossfade plugin anymore

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- obsolete scrobbler plugin
- drop obsolete plugins
- rediff patch 2
- New release 0.2.2

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 0.2-2mdk
- add epochs
- bump deps
- 0.2 final

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.555.2mdk
- enable new ALSA MIDI plugin

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.555.1mdk
- update patch 2
- new snapshot

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.518.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.514.1mdk
- new snapshot

* Wed Jan 18 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.492.1mdk
- fix buildrequires
- new snapshot

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.485.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.472.1mdk
- upate file list
- add new plugins
- drop source 1
- new snapshot

* Wed Jan 04 2006 Götz Waschk <waschk@mandriva.org> 0.1.2-5mdk
- add icon fresh from svn

* Wed Dec 28 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-4mdk
- fix buildrequires

* Tue Dec 27 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-3mdk
- drop patch 4

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-2mdk
- obsolete modplug plugin as well

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- fix buildrequires
- provide and obsolete the crossfade and sid plugins
- New release 0.1.2

* Thu Dec 08 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-7mdk
- add flac to the supported mime types
- fix buildrequires

* Fri Dec 02 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-5mdk
- obsolete bmp

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-4mdk
- buildrequires

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-3mdk
- fix build on x86_64

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-2mdk
- initial package

* Wed Nov 30 2005 Götz Waschk <waschk@mandriva.org> 0.9.7.1-2mdk
- add crossfade fix

* Wed Nov 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-1mdk
- new release (at least) (the last one before switching to bmpx)

* Mon Aug 29 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050828cvs1mdk
- New CVS snapshot
- Temporarily drop the ipv6 patch (p3)

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-0.20050815cvs3mdk
- rebuild with new gtk+
- add buildrequires

* Wed Aug 17 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs2mdk
- enhance and rename patch3, now with mp3 support ( with pterjan fix inside )

* Tue Aug 16 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs1mdk
- new cvs snapshot ( Eskild Hustvedt )
- ipv6 for vorbis ( patch 3 )

* Thu Aug 11 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050810cvs1mdk
- New CVS snapshot

* Sat Jul 09 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050708cvs1mdk
- New CVS snapshot

* Mon Jun 20 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050619cvs-1mdk
- New CVS snapshot
	- Should fix the playlist refresh bug

* Tue Jun 14 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050613cvs-1mdk
- New CVS snapshot
	- The old skin (non-free skin) has been removed (if you somehow liked that thing
	  you can download it from bmp's website)

* Sat May 28 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050527cvs-1mdk
- Drop SOURCE99 (README.MDK - now generated in spec)
- New CVS snapshot
- Spec cleanups
- Drop COPYING from %%doc, it is in the common-licenses package
- Remove gnome-vfs from requires

* Sun Apr 17 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050416cvs-1mdk
- New CVS snapshot
- Updated patch1
- Drop patch3 (merged upstream)

* Mon Mar 07 2005 Eskild Hustvedt <eskild@mandrake.org> 0.9.7-6mdk
- Disable gnome-vfs support (broken)

* Mon Jan 24 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-5mdk
- fix devel deps

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-4mdk
- patch 3: alsa fixes

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-3mdk 
- Rebuild with latest howl

* Wed Dec 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- drop broken patch 3

* Tue Dec 14 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- rediff patch 2
- new version

* Fri Nov 19 2004 Danny Tholen <obiwan@mailmij.org> 0.9.7-0.rc2.2mdk
- patch 3 fixes broken endian check

* Wed Aug 25 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc2.1mdk
- new version

* Tue Aug 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc1.1mdk
- increase epoch
- rediff patch 2
- new version

* Sat Jul 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040708.1mdk
- fix file list
- new snapshot

* Thu May 27 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040621.1mdk
- new cvs snapshot 20040621

* Thu May 27 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040604.1mdk
- updated to cvs snapshot 20040604
- fixed source url
- autoconf stuff
- rebuild with new gcc

* Thu May 27 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040528.1mdk
- updated to cvs snapshot 20040528

* Fri May 21 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040520.1mdk
- updated to cvs snapshot 20040520
- removed patch 3, integrated upstream
- xmms-skin patch: use xmms dirs last, so beep skins override xmms skins

* Tue May 11 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.4mdk
- Patch3: add General plugins preferences tab (will be merged in CVS soon)

* Tue May 11 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.3mdk
- scan home dir as well for xmms skins (modified patch1)

* Tue May 11 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.2mdk
- cp rcfile.h in include dir since it isn't automatically installed
- own include and data dirs
- add Epoch in Requires/Provides

* Thu May 06 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040504.1mdk
- new cvs snapshot

* Wed Apr 28 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040427.2mdk
- enable gnome-vfs support

* Wed Apr 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-0.20040427.1mdk
- new cvs snapshot
- rediff patch 2

* Sat Apr 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040410.2mdk
- fix buildrequires

* Mon Apr 12 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040410.1mdk
- new cvs snapshot
- removed old obsoletes (package beepmp was only in cooker)
- added AB patch from xmms
- added missing docs
- separate package for esound plugin (no separate packages for OSS and ALSA
  because OSS does not need any special stuff and ALSA is standard now)

